Flöden
GET https://pushye.com/api/flows/
curl --request GET \
--url 'https://pushye.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| search | Valfritt Sträng | Söksträngen. |
| search_by | Valfritt Sträng | Vilket fält söker du efter? Tillåtna värden är: name, title, description, url. |
| website_id | Valfritt Heltal | |
| datetime_field | Valfritt Sträng | Tillåtna värden: last_sent_datetime, datetime, last_datetime |
| datetime_start | Valfritt Sträng | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Valfritt Sträng | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Valfritt Sträng | Vilket fält att sortera resultaten efter. Tillåtna värden är: flow_id, datetime, last_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Valfritt Sträng | Ordningen av resultaten. Tillåtna värden är: ASC för stigande ordning, och DESC för fallande ordning. |
| page | Valfritt Heltal | Sidanummeret som du vill ha resultat från. Standardinställning är 1. |
| results_per_page | Valfritt Heltal | Hur många resultat vill du ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Standardvärde är 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"wait_time": 1,
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-11 12:30:46"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://pushye.com/api/flows?page=1",
"last": "https://pushye.com/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/flows?page=1"
}
}
GET https://pushye.com/api/flows/{flow_id}
curl --request GET \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"wait_time": 1,
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-11 12:30:46"
}
}
POST https://pushye.com/api/flows
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| website_id | Obligatoriskt Heltal | - |
| name | Obligatoriskt Sträng | - |
| title | Obligatoriskt Sträng | - |
| description | Obligatoriskt Sträng | - |
| url | Valfritt Sträng | - |
| image | Valfritt Fil | - |
| wait_time | Obligatoriskt Heltal | - |
| wait_time_type | Obligatoriskt Sträng | Tillåtna värden: minutes, hours, days |
| trigger_type | Valfritt Sträng | Tillåtna värden: subscription, pageview |
| pageview_trigger_condition | Valfritt Sträng | Tillåtna värden: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| pageview_trigger_value | Valfritt Sträng | - |
| cancel_pageview_is_enabled | Valfritt Boolean | - |
| cancel_pageview_condition | Valfritt Sträng | Tillåtna värden: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| cancel_pageview_value | Valfritt Sträng | - |
| cooldown_type | Valfritt Sträng | Tillåtna värden: none, once, time |
| cooldown_time | Valfritt Heltal | - |
| cooldown_time_type | Valfritt Sträng | Tillåtna värden: minutes, hours, days |
| button_title_1 | Valfritt Sträng | - |
| button_url_1 | Valfritt Sträng | - |
| button_title_2 | Valfritt Sträng | - |
| button_url_2 | Valfritt Sträng | - |
| is_silent | Valfritt Boolean | - |
| is_auto_hide | Valfritt Boolean | - |
| ttl | Valfritt Sträng | Tillåtna värden: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Valfritt Sträng | - |
| utm_medium | Valfritt Sträng | - |
| utm_campaign | Valfritt Sträng | - |
| segment | Valfritt Sträng | Tillåtna värden: all, INT segment_id |
| is_enabled | Valfritt Boolean | - |
| auto_apply_to_matching | Valfritt Boolean | - |
| urgency | Valfritt Heltal | - |
curl --request POST \
--url 'https://pushye.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pushye.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"wait_time": "Example",
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-11 12:30:46"
}
}
POST https://pushye.com/api/flows/{flow_id}
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| website_id | Valfritt Heltal | - |
| name | Valfritt Sträng | - |
| title | Valfritt Sträng | - |
| description | Valfritt Sträng | - |
| url | Valfritt Sträng | - |
| image | Valfritt Fil | - |
| wait_time | Valfritt Heltal | - |
| wait_time_type | Valfritt Sträng | Tillåtna värden: minutes, hours, days |
| trigger_type | Valfritt Sträng | Tillåtna värden: subscription, pageview |
| pageview_trigger_condition | Valfritt Sträng | Tillåtna värden: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| pageview_trigger_value | Valfritt Sträng | - |
| cancel_pageview_is_enabled | Valfritt Boolean | - |
| cancel_pageview_condition | Valfritt Sträng | Tillåtna värden: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| cancel_pageview_value | Valfritt Sträng | - |
| cooldown_type | Valfritt Sträng | Tillåtna värden: none, once, time |
| cooldown_time | Valfritt Heltal | - |
| cooldown_time_type | Valfritt Sträng | Tillåtna värden: minutes, hours, days |
| button_title_1 | Valfritt Sträng | - |
| button_url_1 | Valfritt Sträng | - |
| button_title_2 | Valfritt Sträng | - |
| button_url_2 | Valfritt Sträng | - |
| is_silent | Valfritt Boolean | - |
| is_auto_hide | Valfritt Boolean | - |
| ttl | Valfritt Sträng | Tillåtna värden: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Valfritt Sträng | - |
| utm_medium | Valfritt Sträng | - |
| utm_campaign | Valfritt Sträng | - |
| segment | Valfritt Sträng | Tillåtna värden: all, INT segment_id |
| is_enabled | Valfritt Boolean | - |
| auto_apply_to_matching | Valfritt Sträng | - |
| urgency | Valfritt Heltal | - |
curl --request POST \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"wait_time": "Example",
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-11 12:30:46"
}
}
DELETE https://pushye.com/api/flows/{flow_id}
curl --request DELETE \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \